// Very rough usage of Andy to load an play sounds.
// You'll want implement this into something more robust
// like an react context or something along those lines
import * as Andy from 'andy';

declare var window: any;

type AllSounds = {
    s0: Promise<Andy.Sound> | Andy.Sound,
    s1: Promise<Andy.Sound> | Andy.Sound,
    s2: Promise<Andy.Sound> | Andy.Sound,
    s3: Promise<Andy.Sound> | Andy.Sound,
    s4: Promise<Andy.Sound> | Andy.Sound,
    s5: Promise<Andy.Sound> | Andy.Sound,
}

const system = new Andy.SoundSystem();
const sounds: AllSounds = {
    s0: Andy.loadSound("./static/coin4.wav", system),
    s1: Andy.loadSound("./static/humm.wav", system),
    s2: Andy.loadSound("./static/whatisthis.wav", system),
    s3: Andy.loadSound("./static/icon.wav", system),
    s4: Andy.loadSound("./static/doortrek2.wav", system),
    s5: Andy.loadSound("./static/There+is+no+there+out+there.mp3", system)
};

window['initSoundSystem'] = async () => {
    const s = await Promise.all([sounds.s0, sounds.s1, sounds.s2, sounds.s3, sounds.s4, sounds.s5]);
    sounds.s0 = s[0];
    sounds.s1 = s[1];
    sounds.s2 = s[2];
    sounds.s3 = s[3];
    sounds.s4 = s[4];
    sounds.s5 = s[5];
    window['soundSystem'] = system;
    window['sounds'] = sounds;
}
